post
/public_api/v2/cwp/policies
Creates new CWP policy. This version supports advanced configuration including policyRules, gracePeriod, and usingSystemAssetGroups.
Required license: Requires the Cortex Cloud Runtime Security add-on. Not available in Cortex XSIAM Enterprise Plus.
Request headers
Authorization
String
required
{api_key}
{api_key}
Example:
UCoWpG4rkNzgCp2dsh8m02iVpZsskwKHz7N1tErPcUV3Wmf59Gc9kytmgOv0pDWoem3PBlORyRIPiir4OcYdWUOWAM3JyTgoCxQf4nQoTlKmFRKz9Bj5vIjluw66p9WP
x-xdr-auth-id
String
required
{api_key_id}
{api_key_id}
Example:
241
CLIENT REQUEST
curl -X 'POST'
-H
'Accept: application/json; charset=UTF-8'
-H
'Content-Type: application/json; charset=UTF-8'
-H
'Authorization: UCoWpG4rkNzgCp2dsh8m02iVpZsskwKHz7N1tErPcUV3Wmf59Gc9kytmgOv0pDWoem3PBlORyRIPiir4OcYdWUOWAM3JyTgoCxQf4nQoTlKmFRKz9Bj5vIjluw66p9WP '
-H
'x-xdr-auth-id: 241'
'https://api-yourfqdn/public_api/v2/cwp/policies'
-d
'{
"type" : "COMPLIANCE",
"disabled" : false,
"name" : "some policy",
"description" : "some policy description",
"evaluationModes" : [ "PERIODIC" ],
"evaluationStage" : "CI",
"gracePeriod" : "",
"policyRules" : [ {
"rule_id" : "3",
"severity" : "CRITICAL",
"action" : "ISSUE",
"user_remediation_guidance" : "2"
}, {
"rule_id" : "4",
"severity" : "HIGH",
"action" : "PREVENT",
"user_remediation_guidance" : "1"
} ],
"condition" : "Y29uZGl0aW9u",
"exception" : "ZXhjZXB0aW9u",
"assetScope" : "YXNzZXRTY29wZQ==",
"assetGroupsIDs" : [ 1, 2 ],
"assetGroups" : [ "group1", "group2" ],
"action" : "ISSUE",
"severity" : "CRITICAL",
"remediationGuidance" : "some remediation guidance",
"createdBy" : "user",
"missingInformationAction" : "ISSUE",
"usingSystemAssetGroups" : false
}'
import http.client
conn = http.client.HTTPSConnection("api-yourfqdn")
headers = {
'Authorization': "UCoWpG4rkNzgCp2dsh8m02iVpZsskwKHz7N1tErPcUV3Wmf59Gc9kytmgOv0pDWoem3PBlORyRIPiir4OcYdWUOWAM3JyTgoCxQf4nQoTlKmFRKz9Bj5vIjluw66p9WP ",
'x-xdr-auth-id': "241"
}
conn.request("POST", "/public_api/v2/cwp/policies", headers=headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))require 'uri'
require 'net/http'
require 'openssl'
url = URI("https://api-yourfqdn/public_api/v2/cwp/policies")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
http.verify_mode = OpenSSL::SSL::VERIFY_NONE
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'UCoWpG4rkNzgCp2dsh8m02iVpZsskwKHz7N1tErPcUV3Wmf59Gc9kytmgOv0pDWoem3PBlORyRIPiir4OcYdWUOWAM3JyTgoCxQf4nQoTlKmFRKz9Bj5vIjluw66p9WP '
request["x-xdr-auth-id"] = '241'
response = http.request(request)
puts response.read_bodyconst data = null;
const xhr = new XMLHttpRequest();
xhr.withCredentials = true;
xhr.addEventListener("readystatechange", function () {
if (this.readyState === this.DONE) {
console.log(this.responseText);
}
});
xhr.open("POST", "https://api-yourfqdn/public_api/v2/cwp/policies");
xhr.setRequestHeader("Authorization", "UCoWpG4rkNzgCp2dsh8m02iVpZsskwKHz7N1tErPcUV3Wmf59Gc9kytmgOv0pDWoem3PBlORyRIPiir4OcYdWUOWAM3JyTgoCxQf4nQoTlKmFRKz9Bj5vIjluw66p9WP ");
xhr.setRequestHeader("x-xdr-auth-id", "241");
xhr.send(data);HttpResponse<String> response = Unirest.post("https://api-yourfqdn/public_api/v2/cwp/policies")
.header("Authorization", "UCoWpG4rkNzgCp2dsh8m02iVpZsskwKHz7N1tErPcUV3Wmf59Gc9kytmgOv0pDWoem3PBlORyRIPiir4OcYdWUOWAM3JyTgoCxQf4nQoTlKmFRKz9Bj5vIjluw66p9WP ")
.header("x-xdr-auth-id", "241")
.asString();import Foundation
let headers = [
"Authorization": "UCoWpG4rkNzgCp2dsh8m02iVpZsskwKHz7N1tErPcUV3Wmf59Gc9kytmgOv0pDWoem3PBlORyRIPiir4OcYdWUOWAM3JyTgoCxQf4nQoTlKmFRKz9Bj5vIjluw66p9WP ",
"x-xdr-auth-id": "241"
]
let request = NSMutableURLRequest(url: NSURL(string: "https://api-yourfqdn/public_api/v2/cwp/policies")! as URL,
cachePolicy: .useProtocolCachePolicy,
timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
if (error != nil) {
print(error)
} else {
let httpResponse = response as? HTTPURLResponse
print(httpResponse)
}
})
dataTask.resume()<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-yourfqdn/public_api/v2/cwp/policies",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: UCoWpG4rkNzgCp2dsh8m02iVpZsskwKHz7N1tErPcUV3Wmf59Gc9kytmgOv0pDWoem3PBlORyRIPiir4OcYdWUOWAM3JyTgoCxQf4nQoTlKmFRKz9Bj5vIjluw66p9WP ",
"x-xdr-auth-id: 241"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}CURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "POST");
curl_easy_setopt(hnd, CURLOPT_URL, "https://api-yourfqdn/public_api/v2/cwp/policies");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "Authorization: UCoWpG4rkNzgCp2dsh8m02iVpZsskwKHz7N1tErPcUV3Wmf59Gc9kytmgOv0pDWoem3PBlORyRIPiir4OcYdWUOWAM3JyTgoCxQf4nQoTlKmFRKz9Bj5vIjluw66p9WP ");
headers = curl_slist_append(headers, "x-xdr-auth-id: 241");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
CURLcode ret = curl_easy_perform(hnd);var client = new RestClient("https://api-yourfqdn/public_api/v2/cwp/policies");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "UCoWpG4rkNzgCp2dsh8m02iVpZsskwKHz7N1tErPcUV3Wmf59Gc9kytmgOv0pDWoem3PBlORyRIPiir4OcYdWUOWAM3JyTgoCxQf4nQoTlKmFRKz9Bj5vIjluw66p9WP ");
request.AddHeader("x-xdr-auth-id", "241");
IRestResponse response = client.Execute(request);Body parameters
required
typestring (Enum)required
disabledbooleanrequired
namestringrequired
descriptionstringrequired
evaluationModesarray[string]required
evaluationStagestring (Enum)required
policyRulesarrayrequired
conditionstringrequiredbyte
exceptionstringrequiredbyte
assetScopestringrequiredbyte
assetGroupsIDsarray[integer]required
assetGroupsarray[string]required
actionstring (Enum)required
severitystring (Enum)required
remediationGuidancestringrequired
createdBystringrequired
missingInformationActionstring (Enum)
usingSystemAssetGroupsbooleanrequired
unifiedPolicyIdstring
gracePeriodstringrequired
application/json; charset=UTF-8
The schema of a created policy
typestring (Enum)requiredOne of the supported policy types
One of the supported policy types
Example:
"MALWARE"Allowed values:"COMPLIANCE""MALWARE""SECRET""TRUSTED_IMAGES"
disabledbooleanrequired
namestringrequired
descriptionstringrequired
evaluationModesarray[string]required
evaluationStagestring (Enum)requiredOne of the supported evaluation stages
One of the supported evaluation stages
Example:
"CI"Allowed values:"CI""RUNTIME""DEPLOY"null
policyRulesarrayrequiredArray of policy_rule objects related to the policy
Array of policy_rule objects related to the policy
[rule_idstringrequired
severitystring (Enum)required
actionstring (Enum)required
user_remediation_guidancestringrequired
]
rule_idstringrequired
severitystring (Enum)requiredOne of the supported policy severities
One of the supported policy severities
Example:
"CRITICAL"Allowed values:"LOW""MEDIUM""HIGH""CRITICAL"null
actionstring (Enum)requiredOne of the supported policy actions
One of the supported policy actions
Example:
"ISSUE"Allowed values:"ISSUE""PREVENT"null
user_remediation_guidancestringrequired
conditionstringrequiredbyte
exceptionstringrequiredbyte
assetScopestringrequiredbyte
assetGroupsIDsarray[integer]required
assetGroupsarray[string]required
actionstring (Enum)requiredOne of the supported policy actions
One of the supported policy actions
Example:
"ISSUE"Allowed values:"ISSUE""PREVENT"null
severitystring (Enum)requiredOne of the supported policy severities
One of the supported policy severities
Example:
"CRITICAL"Allowed values:"LOW""MEDIUM""HIGH""CRITICAL"null
remediationGuidancestringrequired
createdBystringrequired
missingInformationActionstring (Enum)One of the supported policy actions
One of the supported policy actions
Example:
"ISSUE"Allowed values:"ISSUE""PREVENT"null
usingSystemAssetGroupsbooleanrequired
unifiedPolicyIdstring
gracePeriodstringrequiredGrace period duration string in days
Grace period duration string in days
REQUEST
[application/json; charset=UTF-8 content]Responses